Name:           xorg-x11-apps
Version:        7.7
Release:        23
Summary:        X.Org X11 applications
License:        MIT
URL:            https://www.x.org

Source0:        https://www.x.org/pub/individual/app/luit-1.1.1.tar.bz2
Source1:        https://www.x.org/pub/individual/app/oclock-1.0.4.tar.bz2
Source2:        https://www.x.org/pub/individual/app/x11perf-1.6.0.tar.bz2
Source3:        https://www.x.org/pub/individual/app/xbiff-1.0.3.tar.bz2
Source4:        https://www.x.org/pub/individual/app/xclipboard-1.1.3.tar.bz2
Source5:        https://www.x.org/pub/individual/app/xclock-1.0.7.tar.bz2
Source6:        https://www.x.org/pub/individual/app/xconsole-1.0.6.tar.bz2
Source7:        https://www.x.org/pub/individual/app/xcursorgen-1.0.6.tar.bz2
Source8:        https://www.x.org/pub/individual/app/xeyes-1.1.2.tar.bz2
Source9:        https://www.x.org/pub/individual/app/xfd-1.1.2.tar.bz2
Source10:       https://www.x.org/pub/individual/app/xfontsel-1.0.6.tar.bz2
Source11:       https://www.x.org/pub/individual/app/xload-1.1.3.tar.bz2
Source12:       https://www.x.org/pub/individual/app/xlogo-1.0.4.tar.bz2
Source13:       https://www.x.org/pub/individual/app/xmag-1.0.6.tar.bz2
Source14:       https://www.x.org/pub/individual/app/xmessage-1.0.5.tar.bz2
Source15:       https://www.x.org/pub/individual/app/xpr-1.0.5.tar.bz2
Source16:       https://www.x.org/pub/individual/app/xvidtune-1.0.3.tar.bz2
Source17:       https://www.x.org/pub/individual/app/xwd-1.0.7.tar.bz2
Source18:       https://www.x.org/pub/individual/app/xwud-1.0.5.tar.bz2

Patch0000:      x11perf-1.6.0-x11perf-datadir-cleanups.patch
Patch0001:      luit-1.1.1-configure-define-XOPEN_SOURCE-to-600-on-linux.patch

BuildRequires:  gettext-devel libtool pkgconfig(fontenc) pkgconfig(libpng) >= 1.2 pkgconfig(x11) pkgconfig(xaw7)
BuildRequires:  pkgconfig(xbitmaps) pkgconfig(xcursor) pkgconfig(xext) pkgconfig(xft) pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xmu) pkgconfig(xrender) >= 0.4 pkgconfig(xt) >= 1.1 pkgconfig(xxf86vm) pkgconfig(xorg-macros) >= 1.8

Requires:       xorg-x11-xbitmaps xorg-x11-fonts-misc

Provides:       luit = 1.1.1 oclock = 1.0.4 x11perf = 1.6.0 xbiff = 1.0.3 xclipboard = 1.1.3 xclock = 1.0.7
Provides:       xconsole = 1.0.6 xcursorgen = 1.0.6 xeyes = 1.1.2 xfd = 1.1.2 xfontsel = 1.0.6 xload = 1.1.3
Provides:       xlogo = 1.0.4 xmag = 1.0.6 xmessage = 1.0.5 xpr = 1.0.5 xvidtune = 1.0.3 xwd = 1.0.7 xwud = 1.0.5

%description
A collection of common X Window System applications.

%package help
Summary:   Introduce how to use xorg-x11-apps

%description help
User's Manual for the X Window System Application

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18
%patch0 -p1
%patch1 -p1

%build
{
for app in * ; do
    cd $app
        autoreconf -v --install
        %configure
        %make_build
    cd -
done
}

%install
{
    for app in * ; do
        cd $app
            %make_install
        cd -
    done
}

%files
%{_bindir}/*
%{_datadir}/X11/app-defaults/*
%{_datadir}/X11/x11perfcomp

%files help
%{_mandir}/man1/*.1*

%changelog
* Wed Nov 20 2019 yangjian<yangjian79@huawei.com> - 7.7-23
- Package init
